extends ActionWithTarget
class_name ActionMoveToTarget

func execute(character: Character, target: Character) -> int:
	var dir = target.pos2D() - character.pos2D()
	var dist = dir.length()
	if dist < 1:
		character.move_stop()
	else:
		character.move_to(dir)
		return RUNNING
	return SUCCESS
